Bug 35670 - UCS 4 installer should use Kernel 3.16
UCS 4 installer should use Kernel 3.16
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Alexander Kramer
: interim-1
Depends on: 33844
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-21 06:48 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-08-21 06:48:44 CEST
The UCS 4 installer should use kernel 3.16. The meta package univention-kernel-image should also be installed during the installation, see ucs-3.2-3/base/univention-installer/scripts/35_kernel.sh for some magic.
Comment 1 Philipp Hahn univentionstaff 2014-08-21 18:57:37 CEST
r52911 | Bug #35670: Switch to 3.16 Linux kernel for UCS-4

Package: repo-ng
Version: 2.0-61.1307.201408211531
Branch: ucs_3.2-0
Scope: internal

Package: univention-dvd
Version: 0.2.0-11.12.201408211532
Branch: ucs_4.0-0

See Bug #35681 for currently disabled ext[23] support.
Comment 2 Philipp Hahn univentionstaff 2014-08-22 09:56:30 CEST
r52934 | Bug #35670 repo: install univention-kernel-image by default
Package: repo-ng
Version: 2.0-62.1308.201408220953
Branch: ucs_3.2-0
Scope: internal
Comment 3 Alexander Kramer univentionstaff 2014-08-26 11:24:17 CEST
Looks good the system use kernel version 3.16

vmlinuz-3.16-ucs78-amd64
root@ucs-1468:~# cat /proc/version
Linux version 3.16-ucs78-amd64 (debian-kernel@lists.debian.org) (gcc version 4.7.2 (Debian 4.7.2-5.9.201403121731) ) #1 SMP Debian 3.16-1~exp1.78.201408210821 (2014-08-21)
Comment 4 Philipp Hahn univentionstaff 2014-08-26 14:20:49 CEST
r53030 | Bug #35670 CD: Update UCS kernel build
  3.16-ucs80 

Package: repo-ng
Version: 2.0-63.1309.201408261305
Branch: ucs_3.2-0
Scope: internal

Package: univention-dvd
Version: 0.2.0-13.14.201408261306
Branch: ucs_4.0-0
Comment 5 Alexander Kramer univentionstaff 2014-08-27 09:24:56 CEST
Still looks good.

Tested with:
26. Aug 22:55 ucs_4.0-0-20140826-224541-dvd-amd64.iso

vmlinuz-3.16-ucs80-amd64
root@ucs-3752:~# cat
proc/version                                                                                                   
Linux version 3.16-ucs80-amd64 (debian-kernel@lists.debian.org) (gcc version 4.7.2 (Debian 4.7.2-5.9.201403121731) ) #1 SMP Debian 3.16-1~exp1.80.201408260842 (2014-08-26)
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:54:53 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".